curl --request POST \
--url 'https://api.sandbox.stateset.app/api/v1/sandbox/{id}/tunnels' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"port": 1,
"protocol": "http",
"expires_in": 1,
"public": true
}'
{
"tunnel_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sandbox_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"port": 1,
"protocol": "string",
"url": "https://example.com/webhooks/stateset",
"expires_at": "2026-08-31T14:22:05Z",
"token": "YOUR_API_KEY"
}
Create a tunnel
Creates a public tunnel to a sandbox port Served by the live controller (answers 401 unauthenticated) but absent from its published /openapi.json — verified…
POST
/
api
/
v1
/
sandbox
/
{id}
/
tunnels
curl --request POST \
--url 'https://api.sandbox.stateset.app/api/v1/sandbox/{id}/tunnels' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"port": 1,
"protocol": "http",
"expires_in": 1,
"public": true
}'
{
"tunnel_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sandbox_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"port": 1,
"protocol": "string",
"url": "https://example.com/webhooks/stateset",
"expires_at": "2026-08-31T14:22:05Z",
"token": "YOUR_API_KEY"
}
Creates a public tunnel to a sandbox port
Served by the live controller (answers 401 unauthenticated) but absent from its published
/openapi.json — verified 2026-08-31.
Path parameters
string (uuid)
required
Unique sandbox identifier
Request body
CreateTunnelRequest
integer
required
Port to expose
string
Protocol (http or https)
integer
TTL in seconds
boolean
When true, no token is required
Response
Tunnel
string
string
integer
string
string
string (date-time)
string
Status codes
| Code | Meaning |
|---|---|
200 | Tunnel created |
400 | — |
401 | — |
404 | — |
curl --request POST \
--url 'https://api.sandbox.stateset.app/api/v1/sandbox/{id}/tunnels' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"port": 1,
"protocol": "http",
"expires_in": 1,
"public": true
}'
{
"tunnel_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sandbox_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"port": 1,
"protocol": "string",
"url": "https://example.com/webhooks/stateset",
"expires_at": "2026-08-31T14:22:05Z",
"token": "YOUR_API_KEY"
}
Last modified on August 31, 2026